View Issue Details

IDProjectCategoryView StatusLast Update
0002466FreeCADBugpublic2016-03-12 20:52
ReportereivindkvedalenAssigned Toeivindkvedalen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.16 
Target Version0.16Fixed in Version0.16 
Summary0002466: Sketcher sign issue with Expressions
DescriptionSee the discussions http://forum.freecadweb.org/viewtopic.php?f=10&t=13372 and http://forum.freecadweb.org/viewtopic.php?f=10&t=12701 for more details.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master e624a1d0

2016-03-11 22:26:59

DeepSOIC


Committer: wmayer Details Diff
Sketcher: never ever hide constraint value sign, anymore Affected Issues
0002466
mod - src/Mod/Sketcher/App/Constraint.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File
mod - src/Mod/Sketcher/Gui/EditDatumDialog.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.cpp Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

FreeCAD: master 5c3024e9

2016-03-11 23:43:21

DeepSOIC


Committer: wmayer Details Diff
Sketcher: negative constraint value avoidance

by swapping elements being constrained at creation time, should the
precalculated value happen to be negative.
Affected Issues
0002466
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File

Issue History

Date Modified Username Field Change
2016-03-07 23:51 eivindkvedalen New Issue
2016-03-07 23:51 eivindkvedalen Status new => assigned
2016-03-07 23:51 eivindkvedalen Assigned To => eivindkvedalen
2016-03-12 20:51 wmayer Changeset attached => FreeCAD Master master e624a1d0
2016-03-12 20:51 wmayer Changeset attached => FreeCAD Master master 5c3024e9
2016-03-12 20:52 wmayer Status assigned => closed
2016-03-12 20:52 wmayer Resolution open => fixed
2016-03-12 20:52 wmayer Fixed in Version => 0.16